<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::ExceptionTranslatorRegistrar::ExceptionTranslator&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar.html">ExceptionTranslatorRegistrar</a></li><li class="navelem"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html">ExceptionTranslator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::ExceptionTranslatorRegistrar::ExceptionTranslator&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Catch::ExceptionTranslatorRegistrar::ExceptionTranslator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator__inherit__graph.png" border="0" usemap="#Catch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator_3_01T_01_4_inherit__map" id="Catch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator_3_01T_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,260,121"/>
<area shape="rect" href="structCatch_1_1IExceptionTranslator.html" title=" " alt="" coords="33,5,232,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::ExceptionTranslatorRegistrar::ExceptionTranslator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator__coll__graph.png" border="0" usemap="#Catch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator_3_01T_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator_3_01T_01_4_coll__map" id="Catch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator_3_01T_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,260,121"/>
<area shape="rect" href="structCatch_1_1IExceptionTranslator.html" title=" " alt="" coords="33,5,232,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2de4e9bcaad47996159763e69f614d7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html#a2de4e9bcaad47996159763e69f614d7a">ExceptionTranslator</a> (std::string(*translateFunction)(T &amp;))</td></tr>
<tr class="separator:a2de4e9bcaad47996159763e69f614d7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29e85940ee9ce719f26e43550cb4ed48"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html#a29e85940ee9ce719f26e43550cb4ed48">translate</a> (ExceptionTranslators::const_iterator it, ExceptionTranslators::const_iterator itEnd) const override</td></tr>
<tr class="separator:a29e85940ee9ce719f26e43550cb4ed48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2de4e9bcaad47996159763e69f614d7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html#a2de4e9bcaad47996159763e69f614d7a">ExceptionTranslator</a> (std::string(*translateFunction)(T &amp;))</td></tr>
<tr class="separator:a2de4e9bcaad47996159763e69f614d7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29e85940ee9ce719f26e43550cb4ed48"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html#a29e85940ee9ce719f26e43550cb4ed48">translate</a> (ExceptionTranslators::const_iterator it, ExceptionTranslators::const_iterator itEnd) const override</td></tr>
<tr class="separator:a29e85940ee9ce719f26e43550cb4ed48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1IExceptionTranslator"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1IExceptionTranslator')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1IExceptionTranslator.html">Catch::IExceptionTranslator</a></td></tr>
<tr class="memitem:afa00bb6258c07591df472aadae05783f inherit pub_methods_structCatch_1_1IExceptionTranslator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IExceptionTranslator.html#afa00bb6258c07591df472aadae05783f">~IExceptionTranslator</a> ()</td></tr>
<tr class="separator:afa00bb6258c07591df472aadae05783f inherit pub_methods_structCatch_1_1IExceptionTranslator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa00bb6258c07591df472aadae05783f inherit pub_methods_structCatch_1_1IExceptionTranslator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IExceptionTranslator.html#afa00bb6258c07591df472aadae05783f">~IExceptionTranslator</a> ()</td></tr>
<tr class="separator:afa00bb6258c07591df472aadae05783f inherit pub_methods_structCatch_1_1IExceptionTranslator"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aa3d9238a0f9b3122a27ac1e60cb79ef9"><td class="memItemLeft" align="right" valign="top">std::string(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html#aa3d9238a0f9b3122a27ac1e60cb79ef9">m_translateFunction</a> )(T &amp;)</td></tr>
<tr class="separator:aa3d9238a0f9b3122a27ac1e60cb79ef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2de4e9bcaad47996159763e69f614d7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2de4e9bcaad47996159763e69f614d7a">&#9670;&nbsp;</a></span>ExceptionTranslator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html">Catch::ExceptionTranslatorRegistrar::ExceptionTranslator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html">ExceptionTranslator</a> </td>
          <td>(</td>
          <td class="paramtype">std::string(*)(T &amp;)&#160;</td>
          <td class="paramname"><em>translateFunction</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2de4e9bcaad47996159763e69f614d7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2de4e9bcaad47996159763e69f614d7a">&#9670;&nbsp;</a></span>ExceptionTranslator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html">Catch::ExceptionTranslatorRegistrar::ExceptionTranslator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html">ExceptionTranslator</a> </td>
          <td>(</td>
          <td class="paramtype">std::string(*)(T &amp;)&#160;</td>
          <td class="paramname"><em>translateFunction</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a29e85940ee9ce719f26e43550cb4ed48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29e85940ee9ce719f26e43550cb4ed48">&#9670;&nbsp;</a></span>translate() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string <a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html">Catch::ExceptionTranslatorRegistrar::ExceptionTranslator</a>&lt; T &gt;::translate </td>
          <td>(</td>
          <td class="paramtype">ExceptionTranslators::const_iterator&#160;</td>
          <td class="paramname"><em>it</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ExceptionTranslators::const_iterator&#160;</td>
          <td class="paramname"><em>itEnd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1IExceptionTranslator.html#a2a554b96ed5ed411e7c796b6b42837a5">Catch::IExceptionTranslator</a>.</p>

</div>
</div>
<a id="a29e85940ee9ce719f26e43550cb4ed48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29e85940ee9ce719f26e43550cb4ed48">&#9670;&nbsp;</a></span>translate() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string <a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html">Catch::ExceptionTranslatorRegistrar::ExceptionTranslator</a>&lt; T &gt;::translate </td>
          <td>(</td>
          <td class="paramtype">ExceptionTranslators::const_iterator&#160;</td>
          <td class="paramname"><em>it</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ExceptionTranslators::const_iterator&#160;</td>
          <td class="paramname"><em>itEnd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1IExceptionTranslator.html#a2a554b96ed5ed411e7c796b6b42837a5">Catch::IExceptionTranslator</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa3d9238a0f9b3122a27ac1e60cb79ef9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3d9238a0f9b3122a27ac1e60cb79ef9">&#9670;&nbsp;</a></span>m_translateFunction</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string(* <a class="el" href="classCatch_1_1ExceptionTranslatorRegistrar_1_1ExceptionTranslator.html">Catch::ExceptionTranslatorRegistrar::ExceptionTranslator</a>&lt; T &gt;::m_translateFunction)(T &amp;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
